Skip to Content
New release 12 available 🎉

API Keys

All PUT endpoints update only the fields present in the body; see Updating Resources.

GET/v1/api-keysGET /v1/api-keys

Code samples

# You can also use wget curl -X GET /v1/api-keys \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/api-keys

Gets the API keys based on the provided request.

Parameters

NameInTypeRequiredDescription
selectquerystringfalsenone
filterquerystringfalsenone
includequerystringfalsenone
sortquerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"success":true,"code":0,"message":"string","apiKeys":[{"id":0,"name":"string","key":"string","clientSecret":"string","createdDate":"2019-08-24T14:15:22Z","expireDate":"2019-08-24T14:15:22Z","ownerId":"string","revoked":true,"permissions":0,"description":"string"}],"totalApiKeysCount":0}
{ "success": true, "code": 0, "message": "string", "apiKeys": [ { "id": 0, "name": "string", "key": "string", "clientSecret": "string", "createdDate": "2019-08-24T14:15:22Z", "expireDate": "2019-08-24T14:15:22Z", "ownerId": "string", "revoked": true, "permissions": 0, "description": "string" } ], "totalApiKeysCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetApiKeysResponse

Authentication: API key (x-api-key).

POST/v1/api-keysPOST /v1/api-keys

Code samples

# You can also use wget curl -X POST /v1/api-keys \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/api-keys

Inserts a new API key.

Body parameter

{ "apiKey": { "id": 0, "name": "string", "key": "string", "clientSecret": "string", "createdDate": "2019-08-24T14:15:22Z", "expireDate": "2019-08-24T14:15:22Z", "ownerId": "string", "revoked": true, "permissions": 0, "description": "string" } }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.InsertApiKeyRequestfalseThe request containing the API key to insert.

Example responses

200 Response

{"apiKeyId":0,"success":true,"code":0,"message":"string","apiKey":"string"}
{ "apiKeyId": 0, "success": true, "code": 0, "message": "string", "apiKey": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.InsertApiKeyResponse

Authentication: API key (x-api-key).

PUT/v1/api-keysPUT /v1/api-keys

Code samples

# You can also use wget curl -X PUT /v1/api-keys \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

PUT /v1/api-keys

Updates the API key with the specified ID.

Body parameter

{ "apiKey": { "id": 0, "name": "string", "key": "string", "clientSecret": "string", "createdDate": "2019-08-24T14:15:22Z", "expireDate": "2019-08-24T14:15:22Z", "ownerId": "string", "revoked": true, "permissions": 0, "description": "string" } }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.UpdateApiKeyRequestfalseThe request containing the API key to update.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.UpdateApiKeyResponse

Authentication: API key (x-api-key).

DELETE/v1/api-keys/{apiKeyId}DELETE /v1/api-keys/{apiKeyId}

Code samples

# You can also use wget curl -X DELETE /v1/api-keys/{apiKeyId} \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

DELETE /v1/api-keys/\{apiKeyId\}

Deletes the API key with the specified ID.

Parameters

NameInTypeRequiredDescription
apiKeyIdpathinteger(int32)trueThe ID of the API key to delete.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.DeleteApiKeyResponse

Authentication: API key (x-api-key).

Last updated on